@import url("https://cdn.jsdelivr.net/gh/orioncactus/pretendard@v1.3.9/dist/web/variable/pretendardvariable.min.css");
@font-face {
    font-family: 'Pretendard';
    src: url('https://cdn.jsdelivr.net/gh/orioncactus/pretendard@v1.3.9/dist/web/variable/pretendardvariable.min.css') format('woff');
    font-weight: normal;
    font-style: normal;
}

html,body {
  scroll-behavior: smooth;
}

body {
  font-family: 'pretendard';
}

.service.event.detail .bbs-detail.innerfull .cont.full {
    overflow: unset !important;
}

.event-info-diy {
    margin: 0 auto;
    width: 1400px;
}

section {    
    overflow-x: hidden;
    margin:0 auto;
}

section .pro-container{
  position: relative;
  width: 1322px;
  margin: 0 auto;
}

section .quick-slide {
  width: 1180px;
  overflow-x: hidden;
  margin: 0 auto;
}

section .quick-slide .swiper-wrapper {
  width: 900%;
  height: auto;
}

section .quick-slide .swiper-slide {
  flex-shrink: 1;
  width: 304px;
  height: 100%;
  overflow: hidden;
  text-align: left;
}

section.section01 {
    background-image: url(https://resources.fujifilm.co.kr/upload/img/event/518/pc/section01.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    margin: 0 auto;
    padding-top: 31.75%;
    position: relative;   
}

section.section01 > div {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

section.section01 .sun { 
  position: absolute;
	top: 5.8%;
    left: 43.6%;
	right:0;
	bottom:0; 
	width:70px;
	height:70px;
	border-radius:50%;	
}

section.section01 .ray_box {
  position: absolute;
  margin: auto;
	top:0px;
	left:0;
	right:0;
	bottom:0;	
  width:70px;  
  -webkit-animation: ray_anim 120s linear infinite;
  animation: ray_anim 120s linear infinite;
}

section.section01 .ray {  
    background: -webkit-linear-gradient(top, rgba(255,255,255,0) 0%, rgba(255,255,255,0.8) 50%, rgba(255,255,255,0) 100%);
	background: linear-gradient(top, rgba(255,255,255,0) 0%, rgba(255,255,255,0.8) 50%, rgba(255,255,255,0) 100%); 
    margin-left:10px;
    border-radius:80% 80% 0 0;
    position:absolute;
    opacity:0.16;
}

section.section01 .ray1 {    
    height:170px;
    width:30px;
   -webkit-transform: rotate(180deg);
    top:-175px;
    left: 15px;
}

section.section01 .ray2 {
    height:100px;
    width:8px;
   -webkit-transform: rotate(220deg);
    top:-90px;
    left: 75px;
}

section.section01 .ray3 {
    height:170px;
    width:50px;
   -webkit-transform: rotate(250deg);
    top:-80px;
    left: 100px;
}

section.section01 .ray4 {
    height:120px;
    width:14px;
   -webkit-transform: rotate(305deg);
    top:30px;
    left: 100px;
}

section.section01 .ray5 {
    height:140px;
    width:30px;
   -webkit-transform: rotate(-15deg);
    top:60px;
    left: 40px;
}

section.section01 .ray6 {
    height:90px;
    width:50px;
   -webkit-transform: rotate(30deg);
    top:60px;
    left: -40px;
}

section.section01 .ray7 {
    height:180px;
    width:10px;
   -webkit-transform: rotate(70deg);
    top:-35px;
    left: -40px;
}

section.section01 .ray8 {
    height:120px;
    width:30px;
   -webkit-transform: rotate(100deg);
    top:-45px;
    left:-90px;
}

section.section01 .ray9 {
    height:80px;
    width:10px;
   -webkit-transform: rotate(120deg);
    top:-65px;
    left:-60px;
}

section.section01 .ray10 {
    height:190px;
    width:23px;
   -webkit-transform: rotate(150deg);
    top:-185px;
    left: -60px;
}

@-webkit-keyframes ray_anim { 
		0% { -webkit-transform: rotate(0deg); transform: rotate(0deg);}    
    100% { -webkit-transform: rotate(360deg); transform: rotate(360deg);}
}

section.section02 {
    background-color: #acf9a9;        
    width: 100%;
    height: fit-content;
    position: sticky;
    top: 96px;
    z-index: 3;
}

section.section02 > div  {
    position: relative;
    top: 0;
    left: 0;
    width: 1400px;
    height: 100%;
    margin: 0 auto;
}

section.section02 .tab-container{
    width: 100%;
    display: flex;    
    align-items: center;
    justify-content: center;
}

section.section02 a{
    width: 28%;
    height: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 22px;
    font-weight: 600; 
    color: #6ece6a;  
}

section.section02 a.active,
section.section02 a:hover{
    color: #fc5b91;
    border-bottom: 4px solid #fc5b91;
}

section.section03 {
    background-image: url(https://resources.fujifilm.co.kr/upload/img/event/518/pc/section03.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    margin: 0 auto;
    height: 890px; 
    position: relative;   
}

section.section03 > div {
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    margin: 0 auto;
}

section.section03 .btn-container {
    display: flex;
}

section.section03 .btn-container button {
    width: 37%;
    height: 15%;
    position: absolute;
    top: 60.5%;
}

section.section03 .btn-container button:first-child {
    left: 12%;
}

section.section03 .btn-container button:last-child {
    left: 51%;
}

section.section03 > div > button {
    width: 36%;
    height: 9%;
    position: absolute;
    top: 82%;
    left: 50%;
    transform: translateX(-50%);
}

section.section04 {
    background-image: url(https://resources.fujifilm.co.kr/upload/img/event/518/pc/section04.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    margin: 0 auto;
    height: 1933px; 
    position: relative;   
}

section.section04 > div {
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    margin: 0 auto;
}

section.section04 button {
    width: 36%;
    height: 4.5%;
    position: absolute;
    top: 90.5%;
    left: 50%;
    transform: translateX(-50%);
}

section.section05 {
    background-image: url(https://resources.fujifilm.co.kr/upload/img/event/518/pc/section05.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    margin: 0 auto;
    height: 1631px; 
    position: relative;   
}

section.section05 > div {
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    margin: 0 auto;
}

section.section05 .pro-container,
section.section06 .pro-container,
section.section07 .pro-container {
  top: 70%;
}

section.section06 {
    background-image: url(https://resources.fujifilm.co.kr/upload/img/event/518/pc/section06.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    margin: 0 auto;
    height: 1631px; 
    position: relative;   
}

section.section06 > div {
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    margin: 0 auto;
}

section.section07 {
    background-image: url(https://resources.fujifilm.co.kr/upload/img/event/518/pc/section07.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    margin: 0 auto;
    height: 1631px; 
    position: relative;   
}

section.section07 > div {
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    margin: 0 auto;
}

section .swap img {
    position: absolute !important;
    inset: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0;
    animation: swapFade 4s infinite steps(1, end);
}

section.section06 .swap img,
section.section07 .swap img {
    animation: swapFade2 6s infinite steps(1, end);
}

section .swap img.img1 {
    opacity: 1;
    animation-delay: 0s;
}

section .swap img.img2 {
    animation-delay: 2s;
}

section .swap img.img3 {
    animation-delay: 4s;
}

@keyframes swapFade{
    0%   { opacity: 1; }
    50%  { opacity: 1; }  
    50.01% { opacity: 0; }
    100% { opacity: 0; }
}

@keyframes swapFade2 { 
  0% { opacity: 1; } 
  33.33% { opacity: 1; } 
  33.34% { opacity: 0; } 
  100% { opacity: 0; } 
}

section.section05 .swap,
section.section06 .swap,
section.section07 .swap {
    position: absolute;
    width: 1180px;
    height: 800px;
    overflow: hidden;
    top: 200px;
    left: 50%;
    transform: translateX(-50%);
}

section.section08 {
    background-image: url(https://resources.fujifilm.co.kr/upload/img/event/518/pc/section08.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    margin: 0 auto;
    height: 813px; 
    position: relative;   
}

section.section08 > div {
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    margin: 0 auto;
}

section.section08 button {
    width: 33.2%;
    height: 8.5%;
    position: absolute;
    left: 36.2%;    
    transform: translateX(-50%);
}

section.section08 button:first-child {
    top: 28.5%;
}

section.section08 button:last-child {
    top: 72.5%;    
}